
package nlib.bbs.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import nlib.restful.service.DataApiReqVO;
import nlib.restful.service.DataApiResVO;
import nlib.user.service.NlibLoginVO;

public interface BoardService
{

	/** 
	 * 게시글 목록을 조회한다. 
	 */
	public List<ArticleVO> listArticles(ArticleVO ArticleVO) throws Exception;
	

	/** 
	 * 게시글 건수를 조회한다.  
	 */
	public int countArticles(ArticleVO articleVO) throws Exception;
	
	/**
	 * 조회수를 증가시킨다. 
	 * 
	 * @param
	 * @return
	 * @throws Exception
	 */
	public int updateRead(ArticleVO articleVO) throws Exception;
	
	/**
	 * 게시글 상세 내용을 조회한다.  
	 * 
	 * @param
	 * @return
	 * @throws Exception
	 */
	public ArticleVO selectArticle(ArticleVO articleVO) throws Exception;

}

